:root {
  --grid-box-count: 3;
  --grid-box-padding-x: 1.25rem;
  --grid-box-padding-y: 0.75rem;
  --grid-max-width: 1750px;
  --grid-content-padding-x: 1.25rem;
  --grid-border-width: 0.075rem; /* 0.42rem; */
  --grid-border-color: #0000000f;
  --grid-shadow-color: #0003;
}
@media (prefers-color-scheme: dark) {
  :root {
    --grid-border-color: #ffffff0f;
    --grid-shadow-color: #fff3;
  }
}
@media (width <= 1800px) {
  :root {
    --grid-box-count: 4;
  }
}
@media (width <= 1500px) {
  :root {
    --grid-box-count: 3;
  }
}
@media (width <= 1200px) {
  :root {
    --grid-box-count: 2;
  }
}
@media (width <= 900px) {
  :root {
    --grid-box-count: 1;
  }
}
@media (width <= 600px) {
  :root {
    --grid-box-count: 1;
  }
}
.grid {
  max-width: min(var(--grid-max-width), 100%);
  margin: 0;
  box-sizing: border-box;
}
.grid.bordered {
  border-top: 0.1em solid;
}
.grid .header {
  padding: 1.25rem var(--grid-content-padding-x) 0;
}
.grid .header p {
  margin: 0.5em 0;
}
.grid .title {
  text-align: center;
  background: rgb(from var(--color) r g b / 0.05);
  padding: 0.65rem var(--grid-content-padding-x);
}
.grid .title h2 {
  font-size: 1em;
  letter-spacing: 0.02em;
}
.grid .content {
  display: flex;
  flex-wrap: wrap;
  margin: 1rem auto;
  box-sizing: border-box;
}
.grid .header + .content {
  margin-top: 0.5rem;
}
.grid article {
  width: calc(100% / var(--grid-box-count));
  padding: var(--grid-box-padding-y) var(--grid-box-padding-x);
  margin: 0;
  box-sizing: border-box;
}
.grid figure {
  width: 100%;
  padding: 0;
  margin: 0;
}
.grid figure > a {
  display: block;
}
.grid picture {
  display: block;
  width: calc(100% + 2 * var(--grid-border-width));
  font-size: 0;
  text-align: center;
  background: var(--grid-border-color);
  border: var(--grid-border-width) solid var(--grid-border-color);
  border-radius: 0.75rem;
  box-shadow: 0.05rem 0.05rem 0 0.02rem var(--grid-shadow-color);
  padding-bottom: 56%;
  margin: 0 calc(-1 * var(--grid-border-width));
  box-sizing: border-box;
  overflow: hidden;
  position: relative;
}
.grid picture img {
  max-width: 100%;
  height: auto;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.grid figcaption {
  padding: 0 0.25em;
  margin: 0.75em 0 0;
}
@media (width <= 900px) {
  .grid .header {
    padding-top: 1.5rem;
  }
}
@media (width <= 600px) {
  :root {
    --grid-box-padding-y: 1.75rem;
  }
  .grid article {
    padding-top: calc(0.25 * var(--grid-box-padding-y));
  }
  .grid article:first-child {
    padding-top: calc(0.5 * var(--grid-box-padding-y));
  }
  .grid figure + p {
    margin-top: 1em;
  }
  .grid picture {
    display: block;
  }
}
